Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

8 - Les applications propriétaires

> Forums de discussion > 8 - Les applications propriétaires > RESOLU : Transcribe! version 8.64 et Librazik 64 bits
Dernier post

RESOLU : Transcribe! version 8.64 et Librazik 64 bits

Nepomucene utilisateur non connecté France
Bonjour. Depuis des années -(de W 2000 à Librazik)- j'utilise Trancribe! pour repiquer des morceaux, changer leur tonalité, et jouer sur des tempi accélérés progressivement. Je viens de tenter de migrer de la version 8.40 vers la nouvelle version, 8.64 , mais lorsque, après avoir lancé QjackCtl, je lance un fichier Ogg, Trancribe! lit la musique; mais si je clique avec la souris sur n'importe laquelle des commandes de Transcribe!, l'écran se fige et je dois redémarrer Librazik. Si je réinstalle la version précédente, je n'ai plus ce problème.
Au démarrage de Transcribe! il est demandé d'utiliser la locale "en_US.UTF-8".
J'utilise "fr_FR.UTF-8". Ceci ne pose pas de problème avec la version 8.40 .Ce logiciel n'est pas "libre", mais il est difficile de changer des habitudes dont on a bien l'habitude et qui fonctionnent sans trop de soucis. :-)
Peut-être existe-t'il d'autres utilisateurs de ce logiciel et de Librazik qui pourraient nous dire s'ils ont réussi à faire fonctionner cette nouvelle version , et comment? Apparemment Arch Linux, OpenSuze, AV Linux, Ubuntu ne rencontrent pas de problèmes.
Merci pour votre aide.
Musicalement.

Nepomucene.


Citation :
https://www.seventhstring.com/xscribe/linux_distros_86.html
Linux Distro Information for Transcribe! 8.6

This page is for collecting info about running Transcribe! 8.6 on different Linux distros. I do not intend to test it myself on all of the dozens of distros available - life is too short. So instead, I am collecting feedback here from people who have tried it.

If you have useful information then do let me know - andy à seventhstring.com - and I will add it here. For example that some particular distro does work with Transcribe! 8.6, or that it doesn't and what the problem is, and how to solve that problem if you managed to.

Here is the list of required libraries (direct dependencies):
andy@ubuntu:~$ objdump -x transcribe | grep NEEDED
NEEDED libX11.so.6
NEEDED libSM.so.6
NEEDED libgtk-3.so.0
NEEDED libgdk-3.so.0
NEEDED libgdk_pixbuf-2.0.so.0
NEEDED libpangocairo-1.0.so.0
NEEDED libpango-1.0.so.0
NEEDED libcairo.so.2
NEEDED libgobject-2.0.so.0
NEEDED libglib-2.0.so.0
NEEDED libgstreamer-1.0.so.0
NEEDED libgstapp-1.0.so.0
NEEDED libgstvideo-1.0.so.0
NEEDED libdl.so.2
NEEDED libstdc++.so.6
NEEDED libm.so.6
NEEDED libgcc_s.so.1
NEEDED libpthread.so.0
NEEDED libc.so.6
Ubuntu

Transcribe! 8.64 was built on Xubuntu 14.04 and I also tested it (briefly) on 16.04. So it should be ok on current Ubuntu versions.
Gentoo

There was a problem due to Wayland not being compiled in Gentoo by default, but I hope that this is now fixed in version 8.64.
Open Suse 42.1

There was a problem due to Wayland not being compiled in Gentoo by default, but I hope that this is now fixed in version 8.64.
AV Linux 2016

I have a report that it works fine.
Arch Linux

I have a report that it works fine.
You might need to select an appropriate output device for Transcribe! via the "Pulse Audio Volume Control" gui (under "playback").
Librazik

I have a report that 8.64 doesn't work (freezes), however 8.40 is still on our download page and that apparently works ok.


sub26nico utilisateur non connecté France
Je ne peux pas t'aider car je ne l'utilise plus et ne l'ai jamais essayer sur LibraZiK(ni sur OS libre),
on dirait que le problème de bibliothèque porte sur la langue utilisée par le logiciel.

D'après le site de Transcribe
Citation :
Transcribe! itself is in English only at present but here we have some tutorial material in other languages kindly offered by Transcribe! users.


Peut être que la nouvelle version de transcribe n'est pas patchée pour supporter la bibliothèque
fournie avec LibraZiK. olinuxx te répondra mieux que moi mais peut être est il possible d'utiliser
la bibliothèque manquante .
La mise à jour apporte t'elle des évolutions nécessaires pour toi? si non, continues d'utiliser
la version fonctionnelle.

Pour info existe un équivalent libre
Play It Slowly,
le dev en a même fait une appli web avec une interface plus proche de Transcribe, Time Stretch Player

Nepomucene utilisateur non connecté France
Merci, Sub26nico pour cette réponse rapide.
Je vais essayer de travailler avec Time Stretch Player un de ces prochains jours.
Il est difficile de changer ses habitudes: je me servais de ce programme déjà sous W 98 ! avec une pédale pour interrompre et reprendre le déroulé du morceau, et les courbe de Gauss qui indiquent les probabilités des notes fondamentales et des harmoniques.
Ce programme est d'ailleurs disponible gratuitement pendant un mois. Je serais curieux de savoir si d'autres utilisateurs de Librazik rencontrent ce même problème.
J'ai regardé les "direct dependencies" dans Synaptic, mais mes compétences en informatique sont plus que limitées...
Bien cordialement.
Nepomucene.

olinuxx utilisateur non connecté France
Salut Nepomucene.

Tu peux essayer de lancer Transcribe depuis un terminal en anglais. Si la commande pour le lancer est "transcribe" (j'en sais rien, je ne l'ai pas, donc tu me diras), alors essaie :
LANG=C transcribe


Tiens nous au jus.

PS : et un copain à play it slowly : stretchplayer. (dispo sur LibraZiK)

Nepomucene utilisateur non connecté France
Merci, Olinux pour cette réponse.
Ma façon probablement pas très orthodoxe d'utiliser Transcribe est la suivante:
Avec Firefox on cherche Transcribe! et on obtient:
https://www.seventhstring.com/
On va dans Download / Linux download
et on peut télécharger une des versions disponible, en 32 ou 64 bits. La version 8.40 fonctionne avec Librazik 64 bits. Elle fonctionnait aussi avec TangoStudio.
Il semble y avoir un os avec la nouvelle version 8.64 .
On ouvre la version choisie avec "tar -xzf xscsetup.tar.gz".(Je ne sais comment l'ouvrir avec Synaptic).
puis on installe son icône de lancement sur le bureau.
On lance QjackCtl, puis Transcribe! La liaison s'effectue automatiquement.
Au démarrage, Warning: Transcribe! needs to be able to use the "en_US.UTF-8" locale, but it does not seems to be available, etc...
on clique quand même sur "Valider", en restant en "fr_FR.UTF-8".
Le programme, dans sa version 8.40, se lance .
On va dans: File/Open -> /-> (un dossier musical,chargé sur le disque dur de l'ordinateur, en Waw, Ogg, Mp3, Mp4, etc..) .On clique sur "Ouvrir".
On déplie les divers panneaux qui vont s'afficher à l'aide des menus déroulants :
--"View" qui montrera, entre autres possibilités, le spectre sonore, la note suggérée, l'accord suggéré, par exemple.
-- Piano Roll.
--On peut, à l'aide des marqueurs, jouer des passages en boucle.
--par le bouton Pause, on peut déterminer la dernière note ou le dernier accord joué, puis passer à la note suivante,
--etc...
L'utilisation est assez instinctive. Les possibilités très intéressantes, pour qui pratique un instrument de musique, ou le chant, pour relever un chorus, pour maîtriser un passage difficile.
C'est l'un des outils dont les musiciens de jazz se servent souvent.

J'ai envisagé de passer en Locale "en_US-UTF-8", mais Librazik tourne avec "fr_FR.UTF-8" je suppose?
Et je ne sais comment gérer les "required libraries (direct dependencies)!
Lorsque je tape, dans un terminal:
LANG=C transcribe
j'obtiens:
bash: transcribe : commande introuvable.
Et là sont les limites de mes compétences en Informatique!
Stretchpayer et Play it slowly semblentoffrir moins de possibilités, du moins au premier abord?

Bien cordialement.

Nepomucene

dlb utilisateur non connecté
Tu peux essayer ça :

- dans un terminal, en root : dpkg-reconfigure locales
ça va te proposer toute la liste des locales possibles.
Tu devrais probablement voir ta "locale" actuelle fr_FR.UTF-8 UTF-8

- reviens un peu en arrière dans la liste et trouve en_US.UTF-8 UTF-8
- sélectionne cette "locale" en appuyant sur la barre d'espace, puis touche "tab" et OK
- une fenêtre te dit tes locales par défaut ... tu devrais voir au moins
fr_FR.UTF-8 UTF-8 et en_US.UTF-8 UTF-8.
- tu sélectionnes bien fr_FR.UTF-8 UTF-8 pour conserver le français par défaut, puis touche "tab"
et OK

Ca va te générer toutes les locales sélectionnées ( dont en_US.UTF-8 UTF-8 ),
et ça te met par défaut fr_FR.UTF-8 UTF-8 ...

Nepomucene utilisateur non connecté France
Merci dlb pour ton aide et tes explications très claires.

J'ai donc installé "fr_FR.UTF-8 UTF-8" et "en_US.UTF-8 UTF-8".
Je n'ai plus le Warning de démarrage.
Mais la version 8.64 gèle toujours au moindre clic de souris...tout se bloque. Je ne peux que quitter ce programme. Je ne suis pas obligé de redémarrer Librazik.
Je viens de ré-installer la version 8.40 , qui fonctionne.

Très cordialement.

Nepomucene.

olinuxx utilisateur non connecté France
Je viens d'installer la version 8.64.0 et ça à l'air de fonctionner ici.

Laisse tomber le coup du
LANG=C transcribe


par contre, ce que tu peux faire, c'est ouvrir un terminal dans le dossier où est ton transcribe en lançant double cliquant sur ton dossier Transcribe issu de l'extraction du tar.gz, puis en te mettant un endroit vide (c'est à dire, par sur un fichier) -> clic-droit de souris -> "Ouvrir dans un terminal".

Là, tu vas lancer Transcribe avec la commande :
transcribe -v > log-transcribe-nepomucene.txt


Tu fais ce que tu veux faire avec le logiciel, jusque quand il gèle l'écran.

Au redémarrage, tu retournes dans le dossier de Transcribe, tu devrais avoir un fichier "log-transcribe-nepomucene.txt", tu l'ouvres, et tu copies/colles ici ce que ça dit.

Ceci dit, je ne vais pas trop m'aventurer à débogguer un logiciel non-libre. Je te conseille de voir ça avec l'équipe de transcribe.

Nepomucene utilisateur non connecté France
Merci, Olinuxx pour cette aide.
Je viens de desinstaller la version 8.40, puis re-installer la version 8.64 .Tout gèle dés que je clique sur la commande de pause et j'obtiens ces deux fichiers que je joins.

1-
transcribe -v > log-transcribe-yves.txt

(vide)

2-
Transcribe!,6089,Seventh String Software
Transcribe!,GTK,8,64,7,S,0

Sectionstart,Main
SoundFileName,03 - Track 3-  Just a Closer Walk With Thee.ogg,Nix,/home/yves/Musique/Musique/musique_yves/Jazz/CLARINETTE Jazz/Pete Fountain/Do You Know What It Is To Miss New Orleans - Disc 1/03 - Track 3-  Just a Closer Walk With Thee.ogg
SoundFileInfo,Ogg Vorbis,134K bps.,2,2214854,44100,5790624,131.306667
Loops,0:0,0:0,0:0,0:0,0:0,0:0,0:0,0:0,0:0,0:0
MarkerNumberContinuously,0
MarkerAutoSection,0
MarkerAutoMeasure,0
MarkerAutoBeat,1
SectionEnd,Main

Sectionstart,View0
FX_Mix,0,0,100,0
FX_Tuning,1,1,0,0,0,0,60,50,0
FX_Transposition,1,1,0,0,0
FX_EQ,1,0,0,0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0
FX_Speed,1,0,100000,0
FX_Misc,1,0,50
ShowTextZone,0
ShowPianoRoll,0
PianoRollPiano,1
PianoRollSensitivity,3
ShowVideo,1
TVVZoomPercent,100
TVVVtimeOffset,0.000000
TVVVideoMirror,0
TVVVideoVFlip,0
ShowNavbar,0
NavBarMeasures,1
NavBarMeasuresMenu,1
ShowSpectrum,0
ShowGuessNotes,0
ShowGuessChords,0
ShowDB,0
ShowTimeLine,0
FitWholeFile,0
FitWholeFileHorizZoom,1.000000
FitWholeFileStartwavpix,-1
LoopMode,1
ScrollMode,1
PlayZone,4
PianoBtmNote,24
PianoTopNote,96
PianoRollBtmNote,24
PianoRollTopNote,96
TextZoneSplitterPos,0.250000
PianoRollSplitterPos,0.500000
ViewSplitterPos,0.700000
VertProfileZoom,1.000000
HorizProfileZoom,1.000000
HorizProfilePos,0
SelectionLeft,0
SelectionRight,0
SectionEnd,View0

Sectionstart,Markers
Howmany,0
SectionEnd,Markers

Sectionstart,TextBlocks
TextBlockFont,80,12,,
Howmany,0
SectionEnd,TextBlocks

Sectionstart,Loops
Howmany,20
L,1,0,0,0,,White,
L,2,0,0,0,,White,
L,3,0,0,0,,White,
L,4,0,0,0,,White,
L,5,0,0,0,,White,
L,6,0,0,0,,White,
L,7,0,0,0,,White,
L,8,0,0,0,,White,
L,9,0,0,0,,White,
L,10,0,0,0,,White,
L,11,0,0,0,,White,
L,12,0,0,0,,White,
L,13,0,0,0,,White,
L,14,0,0,0,,White,
L,15,0,0,0,,White,
L,16,0,0,0,,White,
L,17,0,0,0,,White,
L,18,0,0,0,,White,
L,19,0,0,0,,White,
L,20,0,0,0,,White,
SectionEnd,Loops


Nepomucene utilisateur non connecté France
A quoi correspondent:

libgdk-3.so.0
libgdk_pixbuf-2.0.so.0
libgobject-2.0.so.0
libgstapp-1.0.so.0
libgstvideo-1.0.so.0
libdl.so.2
libm.so.6

Sont-ils déjà installés dans Librazik, avec une dénomination différente dans Synaptic, ou bien sont-ils disponibles seulement dans les dépôts des versions non stables de Debian?
Peuvent-ils expliquer le gel du programme lorsqu'on clique sur les icônes play et pause ou retour?
Je n'ai rien installé d'autre que LibraZik et Transcribe! avec des fichiers musicaux ogg, mp3, mp4, waw, ou midi sur ce disque dur.Quelle est la manipulation que j'aurais pu faire, ou ne pas faire, pour que ce programme ne fonctionne pas ici, alors qu'il tourne sur l'ordinateur d'Olinuxx?

Merci pour votre aide.
Cordialement

olinuxx utilisateur non connecté France
Ce sont des bibliothèques de fonctions. Fonctions qui sont appelées par transcribe pour pouvoir fonctionner.
En utilisant la page suivante de chez debian pour faire les recherches : https://www.debian.org/distrib/packages#search_contents , nous pouvons voir que :
  • libgdk-3.so.0 -> provient du paquet libgtk-3
  • libgdk_pixbuf-2.0.so.0 -> provient du paquet libgdk-pixbuf2.0-0
  • libgobject-2.0.so.0 -> provient du paquet libglib2.0-0
  • libgstapp-1.0.so.0 et libgstvideo-1.0.so.0 -> proviennent du paquet libgstreamer-plugins-base1.0-0
  • libdl.so.2 et libm.so.6 -> proviennent du paquet libc6

Toutes ces paquets sont présents sur debian jessie, et donc sur LibraZiK. Vérifie qu'ils sont bien installés chez toi.

J'ai refais un test, et ça fonctionne à peu près correctement sauf qu'il y a plusieurs secondes, voire dizaines de secondes lorsque j'effectue une commande (genre play/pause/...).

Nepomucene écrit :
Peuvent-ils expliquer le gel du programme lorsqu'on clique sur les icônes play et pause ou retour?
Je n'ai rien installé d'autre que LibraZik et Transcribe! avec des fichiers musicaux ogg, mp3, mp4, waw, ou midi sur ce disque dur.Quelle est la manipulation que j'aurais pu faire, ou ne pas faire, pour que ce programme ne fonctionne pas ici, alors qu'il tourne sur l'ordinateur d'Olinuxx?


De façon générale, c'est difficile à dire comme ça, de but en blanc, pour tout logiciel, et ça l'est encore davantage pour un logiciel dont seul le développeur possède le code source. Le mieux que tu puisses faire ici, c'est essayer de contacter le développeur. Dis lui que LibraZiK, c'est une Debian Jessie avec quelques optimisations. Il peut me contacter s'il a besoin.

Bon courage !

PS : personne ne t'as répondu quant à
Nepomucene écrit :
On ouvre la version choisie avec "tar -xzf xscsetup.tar.gz".(Je ne sais comment l'ouvrir avec Synaptic).


Alors : c'est normal de ne pas pouvoir l'ouvrir avec Synaptic, ça n'est pas fait pour.

Nepomucene utilisateur non connecté France
Merci Olinuxx pour ces éclaircissements et ta disponibilité.
LibraZik est correctement installé, avec toutes les bibliothèques de fonctions.
Effectivement si on attend de longs moments, on a parfois la surprise de voir le programme se remettre spontanément en route, pour se figer à nouveau si on presse un des boutons du "magnétophone".
Je viens d'écrire au développeur.
Cordialement.

Nepomucene.

olinuxx utilisateur non connecté France
Tiens nous au jus.

Nepomucene utilisateur non connecté France
Bonjour. Je n'arrive pas à résoudre ce problème.

Trancribe!sad fonctionne sans soucis sur une installation Debian Jessie KDE en 32 aussi bien qu'en 64 bits, mais pas sous LibraZik...Il semblerait que le problème soit lié soit à Jack, soit aux noyaux à temps de latence faible.
Voici ce qui est indiqué dans l'Aide:

"On Linux: Transcribe! freezes, or pauses for several seconds, when I try to start playing?"

This is particularly common with low latency kernels and the Jack audio drivers. It is related to the sound drivers installed on your Linux distro, and the GStreamer plugins which Transcribe! uses to talk to those drivers. Please bring up Transcribe!'s Preferences - Playback and you will see where you can specify which GStreamer plugin to use for output. Press the Help button on that page, and follow the instructions there to identify a GStreamer plugin which works when used from the Terminal. Then specify that plugin for Transcribe! and all should be well. "

J'ai testé les divers "GStreamers plugins", sans obtenir d'amélioration notable.
Mes connaissances en informatique laissent à désirer.
Que faire? envisager l'installation de deux Debian sur le même PC ?
Cordialement.

Nepomucene.

olinuxx utilisateur non connecté France
Salut Nepomucene.

"Que faire ?", ça c'est toi qui choisi. Comme dis plus haut, je ne souhaite pas passer trop de temps à déboguer des programmes non-libres. J'espère que tu comprends que ça n'est ni contre toi, ni contre les développeurs de ces programmes. C'est simplement une histoire de priorité et de cohérence. J'ai plein de choses à faire pour améliorer LibraZiK, plein de choses à faire pour améliorer les logiciels libres et leurs intégrations dans un environnement de bureau performant. Je ne suis pas fondamentalement "contre" les logiciels non-libres, après tout chacun fait bien ce qu'il veut. Mais je suis fondamentalement "pour" les logiciels libres.

Pour résumer, ma façon de penser actuelle à propos des logiciels non-libres sur LibraZiK, c'est "si ça marche, tant mieux, si ça marche pas, tant pis". Si je peux faire des choses simples pour aider à leur intégration, je le fais/ferai.

Ceci dit, as-tu essayer de désinstaller le noyau basse-latence de LibraZiK pour installer un noyau "normal" ?

Bon courage à toi.

Nepomucene utilisateur non connecté France
Bonsoir, Olinuxx.

Merci pour ta réponse. J'admets parfaitement ce raisonnement.

Je viens de desinstaller le noyau 4.6.0-1-lzk-rt-amd64, et d'installer le noyau 4.6.0-0.bpo.1-amd64 .
Le résultat est curieux:
-Si je lance Trancribe! sans lancer QJack, le morceau défile sur l'écran, et les commandes Play, Pause, Return, etc, fonctionnent correctement.Mais je n'obtiens pas de son, avec les divers GStreamers possibles.
-Si je lance QJack d'abord, puis Transcribe, la connection s'établit dans l'onglet audio du kit de connection Jack. En cliquant sur Play, on obtient du son, avec le déroulement de la piste, mais dés qu'on clique sur Pause,puis arrêt de la Pause, ou quelque autre commande du magnétophone, tout se fige pendant plusieurs secondes.
A noter, la version précédente de Transcribe! fonctionne correctement, même avec le noyau 4.6.0-1-lzk-rt-amd64.
Conclusions possibles:
  1. Utiliser LibraZik 64 bits et toutes les possibilités qu'il offre, et garder la version précédente de Transcribe! en attendant des améliorations qui permettront à nouveau la compatibilité de ces deux "outils"de grand intérêt.
  2. Mettre un "Résolu" sur ce sujet?

Cordialement.

Nepomucene.

olinuxx utilisateur non connecté France
Nepomucene écrit :
A noter, la version précédente de Transcribe! fonctionne correctement, même avec le noyau 4.6.0-1-lzk-rt-amd64.


Tu as mentionné ceci au développeur de Transcribe ?


Nepomucene écrit :
Utiliser LibraZik 64 bits et toutes les possibilités qu'il offre, et garder la version précédente de Transcribe! en attendant des améliorations qui permettront à nouveau la compatibilité de ces deux "outils"de grand intérêt.


Ça me paraît plein de sagesse.

Nepomucene écrit :
Mettre un "Résolu" sur ce sujet?


Peut être plutôt un [CONTOURNÉ] du coup ?

Nepomucene utilisateur non connecté France
Il me semble avoir résolu le problème:
Par Synaptic il faut installer, en plus des gstreamers de la version 0.10, ceux de la version 1.4.4-2, ainsi que les gstreamer-tools correspondants.
L'explication de ceci est bien au-delà de mes compétences, mais ça fonctionne aux petits oignons, avec de l'huile d'olives, bien sûr!

Bonne musique à tous.

Nepomucene.

olinuxx utilisateur non connecté France
Bravo à toi Nepomucene ! Et merci d'avoir partager la solution ici et d'avoir mis un [résolu] dans le titre de ce fil de discussion.

Bonne musique à toi maintenant :-)

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

olinuxx, 13:27, jeu. 02 Dec 2021: Bonjour et bienvenue à papyDoctor cool
olinuxx, 18:33, mer. 01 Dec 2021: Bonjour et bienvenue à ipodeloc et BenoitJY cool
olinuxx, 10:36, sam. 27 Nov 2021: Bonjour et bienvenue à Zebolt cool
olinuxx, 12:26, sam. 20 Nov 2021: @Lynx26, si tu lis ce message, viens me parler sur IRC [Lien] ou par courriel [Lien]
olinuxx, 12:01, sam. 20 Nov 2021: Bonjour et bienvenue à Badin cool
sub26nico, 00:13, ven. 19 Nov 2021: Salut et bienvenue à Christophe543 et Jakintza :-)
olinuxx, 21:07, dim. 14 Nov 2021: Bonjour et bienvenue à zoso85, Pomme, et Mars71 cool
olinuxx, 13:19, ven. 12 Nov 2021: @tnio : utilise les forums s
tnio, 13:12, ven. 12 Nov 2021: bonjour j'essaie de faire fonctionner une live track L8 de zoom mais apparement je ne trouve pas comment j'ai regardé les post concernant les L12 mais j'aimerais avoir plus d'infos merci
jazzloup, 15:20, jeu. 11 Nov 2021: Bonjour, Merci de votre message de bienvenue. A suivre, ma présentation. A bientôt
olinuxx, 13:42, jeu. 11 Nov 2021: Bonjour et bienvenue à jazzloup cool
SuShY, 22:11, mar. 09 Nov 2021: Merci sub26nico ;-)